Option Explicit On
Option Strict Off

Imports System.Runtime.InteropServices

'---------------------------------
' AWG-100 API library definitions
'---------------------------------

Module AWG100

    '
    ' Device status (Return code)
    '
    Public Const AWG100_OK As Integer = 0
    Public Const AWG100_DEVICE_NOT_FOUND As Integer = 1
    Public Const AWG100_MEMORY_ERROR As Integer = 2
    Public Const AWG100_FILE_ERROR As Integer = 3
    Public Const AWG100_COMMUNICATION_ERROR As Integer = 4
    Public Const AWG100_EXECUTION_ERROR As Integer = 5
    Public Const AWG100_OTHER_ERROR As Integer = 6

    '
    ' AWG-100 status
    '
    Public Const AWG100_STATUS_NO_DATA As Byte = 0   ' g`o͒~(g`t@Cݒ)
    Public Const AWG100_STATUS_READY As Byte = 1     ' g`o͒~(g`t@Cݒ)
    Public Const AWG100_STATUS_RUNNING As Byte = 2   ' g`o͒

    '
    ' Functions
    '
    Public Declare Ansi Function AWG100_SetFile Lib "AWG100.dll" (ByVal SerialNumber As String, ByVal FilePath As String) As Integer
    Public Declare Ansi Function AWG100_Start Lib "AWG100.dll" (ByVal SerialNumber As String) As Integer
    Public Declare Ansi Function AWG100_Stop Lib "AWG100.dll" (ByVal SerialNumber As String) As Integer
    Public Declare Ansi Function AWG100_ForcedStop Lib "AWG100.dll" (ByVal SerialNumber As String) As Integer
    Public Declare Ansi Function AWG100_GetStatus Lib "AWG100.dll" (ByVal SerialNumber As String, ByRef Status As Byte) As Integer

End Module
